Bug 247874 - diff to update iwm.4 man page explaining limitations of driver
Summary: diff to update iwm.4 man page explaining limitations of driver
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Manual Pages (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Gordon Bergling
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-09 16:10 UTC by Charles Ross
Modified: 2020-07-24 16:48 UTC (History)
2 users (show)

See Also:


Attachments
diff to add info about 802.11b/g mode limitations (558 bytes, patch)
2020-07-09 16:10 UTC, Charles Ross
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Charles Ross 2020-07-09 16:10:27 UTC
Created attachment 216341 [details]
diff to add info about 802.11b/g mode limitations

The iwm(4) driver currently only works in 802.11b/g modes. It will not associate to access points that operate only in 802.11n or 802.11ac modes. This is not documented in the man page, and it probably should be.

diff attached to make the addition in the "Description" section.
Comment 1 commit-hook freebsd_committer 2020-07-17 21:47:55 UTC
A commit references this bug:

Author: gbe
Date: Fri Jul 17 21:47:06 UTC 2020
New revision: 363287
URL: https://svnweb.freebsd.org/changeset/base/363287

Log:
  iwm(4): Document limitations of the driver

  Document that iwm(4) currently doesn't support 802.11n and 802.11ac.

  PR:		247874
  Submitted by:	Charles Ross <cwr at sdf dot org>
  Reviewed by:	brueffer, markj
  Approved by:	brueffer
  MFC after:	1 week
  Differential Revision:	https://reviews.freebsd.org/D25666

Changes:
  head/share/man/man4/iwm.4
Comment 2 Gordon Bergling freebsd_committer 2020-07-17 21:48:18 UTC
Committed. Thanks for the patch!
Comment 3 commit-hook freebsd_committer 2020-07-24 16:45:21 UTC
A commit references this bug:

Author: gbe
Date: Fri Jul 24 16:44:36 UTC 2020
New revision: 363477
URL: https://svnweb.freebsd.org/changeset/base/363477

Log:
  MFC r363287: iwm(4): Document limitations of the driver

  PR:		247874
  Submitted by:	Charles Ross <cwr at sdf dot org>
  Reviewed by:	brueffer, markj
  Approved by:	brueffer
  Differential Revision:	https://reviews.freebsd.org/D25666

Changes:
_U  stable/12/
  stable/12/share/man/man4/iwm.4